# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    url_dl = "http://download.spotify.com/Spotify.dmg"
    latest_bin = url_dl.split("/")[-1]

    print("Download url is: %s" % url_dl)

    # Downloading latest binaries
    if isfile(latest_bin):
        remove_file(latest_bin)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

        mount_dmg(latest_bin)

        version = get_plist_obj("/Volumes/Spotify/Spotify.app/Contents/Info.plist")['CFBundleVersion']
        unmount_dmg("/Volumes/Spotify")

        # Getting version from binary and renaming binary
    #        version = get_product_props(latest_bin)["FileVersion"]

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        result = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])
    # control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating update-package-sources
    return result
